Install Bootstrap 4 in Atom IDE

Install Bootstrap 4 in Atom IDE
0

#1

Hi everyone,

I’m trying to install bootstrap 4 in Atom and everything went fine until I read these messages on the right side (screenshot can be found below).

I’ve been trying to find a solution to this issue for weeks already…

If anyone has a hint about it, I’d really appreciate it :slight_smile:

Thank you.


#2

Anyone has been able to find a solution?


#3

As far as I know, you don’t “install” bootstrap. You just reference the stylesheet into your document’s <head> and include jquery, popper and bootstrap js files just before the closing </body> tag. See here:


#4

Hi jcvasquez,

Firstly thank you very much for your answer and the introduction link.
I’ve watched a youtube tutorial and it said I had to install it via npm. And that’s how I got the red alarm messages…


#5

Can I ask you smth in PM?


#6

Please add some context here.

  1. How are you going to use bootstrap in your project? Are you using NodeJS or some javascript front end technology in your project?
  2. What are the technologies you are using?

Depending on your answer to the above questions, your way of using bootstrap will change.


#7

Hi Siddharth,

Thank you for your answer. To be honest I’m starting to play with it little by little and my intention was just to use Bootstrap 4 in atom to build responsive websites. Everything went fine until I got these messages highlighted in red saying I couldn’t load the snippets.

My background is focused on business and I’m sorry if I haven’t made myself clear as I’m a true beginner in web development.


#8

you need to find the owner of the bootstrap 4 snippets plugin and log an issue one their github page.

You do not need this to use Bootstrap, though. You can get everything from their website.


#9

Thanks a lot Tirjasdyn, I’ll do so :slight_smile: